package com.atlassian.stash.internal.task;

import com.atlassian.bitbucket.task.TaskState;

// Hibernate requires this class to be public
public class TaskCountProjection<T> {

    private long count;
    private T groupBy;
    private TaskState state;

    @SuppressWarnings("unused") //Required for Hibernate
    public TaskCountProjection() {
    }

    public long getCount() {
        return count;
    }

    public T getGroupBy() {
        return groupBy;
    }

    public TaskState getState() {
        return state;
    }
}
